package com.bocloud.sms.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 批量操作实体
 *
 * @author tyl
 * @since 2021/4/20 11:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BatchActionModel {
    private List<Long> ids;
    private Action action;

    public enum Action{
        /**
         * 冻结
         */
        lock,
        /**
         * 解冻
         */
        active,
        /**
         * 注销
         */
        logout,
        /**
         * 删除
         */
        remove;

    }
}
