package com.bocloud.sms.model;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


/**
 * 租户导入模板
 * @Author hya
 * @Date 2022/3/8 12:47
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ColumnWidth(20)
@HeadRowHeight(15)
public class ImportTenantTemplate {
    @ExcelProperty(value = "租户名称",index = 0)
    private String name;
    @ExcelProperty(value = "登录账号",index = 1)
    private String account;
    @ExcelProperty(value = "集团编码",index = 2)
    private String groupCode;
    @ExcelProperty(value = "所属组织",index = 3)
    private String departmentName;
    @ExcelProperty(value = "联系人姓名",index = 4)
    private String contactName;
    @ExcelProperty(value = "联系人邮箱",index = 5)
    private String email;
    @ExcelProperty(value = "联系人电话",index = 6)
    private String contactPhone;
    @ExcelProperty(value = "折扣率",index = 7)
    private BigDecimal discount;
    @ExcelProperty(value = "租户描述",index = 8)
    private String remark;
    @ExcelProperty(value = "是否开启配额",index = 9)
    private String isQuota;
}
